Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model
Class SearchCriteria

    java.lang.Object
      net.sf.borg.model.SearchCriteria

    public class SearchCriteria

extends Object

common search criteria for searching various models.

Constructor Summary
`SearchCriteria()`

Method Summary
`String` | `getCategory()` Gets the category.
`Date` | `getEndDate()` Gets the end date.
`String` | `getSearchString()` Gets the search string.
`Date` | `getStartDate()` Gets the start date.
`boolean` | `hasLinks()` Checks for links.
`boolean` | `isCaseSensitive()` Checks if is case sensitive.
`boolean` | `isHoliday()` Checks if is holiday.
`boolean` | `isRepeating()` Checks if is repeating.
`boolean` | `isTodo()` Checks if is todo.
`boolean` | `isVacation()` Checks if is vacation.
`void` | `setCaseSensitive(boolean caseSensitive)` Sets the case sensitive.
`void` | `setCategory(String category)` Sets the category.
`void` | `setEndDate(Date endDate)` Sets the end date.
`void` | `setHasLinks(boolean hasLinks)` Sets the checks for links.
`void` | `setHoliday(boolean holiday)` Sets the holiday.
`void` | `setRepeating(boolean repeating)` Sets the repeating.
`void` | `setSearchString(String searchString)` Sets the search string.
`void` | `setStartDate(Date startDate)` Sets the start date.
`void` | `setTodo(boolean todo)` Sets the todo.
`void` | `setVacation(boolean vacation)` Sets the vacation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchCriteria

    public SearchCriteria()

Method Detail

### getCategory

    public String getCategory()

  Gets the category.

  Returns:
    the category

### getEndDate

    public Date getEndDate()

  Gets the end date.

  Returns:
    the end date

### getSearchString

    public String getSearchString()

  Gets the search string.

  Returns:
    the search string

### getStartDate

    public Date getStartDate()

  Gets the start date.

  Returns:
    the start date

### hasLinks

    public boolean hasLinks()

  Checks for links.

  Returns:
    true, if successful

### isCaseSensitive

    public boolean isCaseSensitive()

  Checks if is case sensitive.

  Returns:
    true, if is case sensitive

### isHoliday

    public boolean isHoliday()

  Checks if is holiday.

  Returns:
    true, if is holiday

### isRepeating

    public boolean isRepeating()

  Checks if is repeating.

  Returns:
    true, if is repeating

### isTodo

    public boolean isTodo()

  Checks if is todo.

  Returns:
    true, if is todo

### isVacation

    public boolean isVacation()

  Checks if is vacation.

  Returns:
    true, if is vacation

### setCaseSensitive

    public void setCaseSensitive(boolean caseSensitive)

  Sets the case sensitive.

  Parameters:
    `caseSensitive` - the new case sensitive

### setCategory

    public void setCategory(String category)

  Sets the category.

  Parameters:
    `category` - the new category

### setEndDate

    public void setEndDate(Date endDate)

  Sets the end date.

  Parameters:
    `endDate` - the new end date

### setHasLinks

    public void setHasLinks(boolean hasLinks)

  Sets the checks for links.

  Parameters:
    `hasLinks` - the new checks for links

### setHoliday

    public void setHoliday(boolean holiday)

  Sets the holiday.

  Parameters:
    `holiday` - the new holiday

### setRepeating

    public void setRepeating(boolean repeating)

  Sets the repeating.

  Parameters:
    `repeating` - the new repeating

### setSearchString

    public void setSearchString(String searchString)

  Sets the search string.

  Parameters:
    `searchString` - the new search string

### setStartDate

    public void setStartDate(Date startDate)

  Sets the start date.

  Parameters:
    `startDate` - the new start date

### setTodo

    public void setTodo(boolean todo)

  Sets the todo.

  Parameters:
    `todo` - the new todo

### setVacation

    public void setVacation(boolean vacation)

  Sets the vacation.

  Parameters:
    `vacation` - the new vacation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic